Package org.apache.tomcat.jdbc.pool.jmx

## Class JmxUtil

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.jmx.JmxUtil

-     public class JmxUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JmxUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.management.ObjectName` | `registerJmx​(javax.management.ObjectName base, java.lang.String keyprop, java.lang.Object obj)` |
    `static void` | `unregisterJmx​(javax.management.ObjectName oname)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxUtil

          public JmxUtil()

  - ### Method Detail

    - #### registerJmx

          public static javax.management.ObjectName registerJmx​(javax.management.ObjectName base,
                                                                java.lang.String keyprop,
                                                                java.lang.Object obj)

    - #### unregisterJmx

          public static void unregisterJmx​(javax.management.ObjectName oname)